#include <stdio.h>
#include <string.h>
#include <sys/mman.h>
#include <fcntl.h>

int main(int argc, char **argv) {

    int fd;
    unsigned long* channels;
    caddr_t m;

    int i;

    fd = open("/dev/eggmcs913", O_RDWR);
    if (fd<0) {
        perror("open");
        exit(-1);
    }
    m = mmap( NULL, 0x4000, PROT_READ,
                              MAP_SHARED, fd, 0x0);
    if (m==-1) {
        perror("mmap");
        exit(-1);
    }

    channels = (unsigned long*) m;

    fprintf(stdout, "%p\n", channels);
    if (channels) {
        for (i=0; i<5; i++) {
            fprintf(stdout, "%u ", channels[i]);
        }
        fprintf(stdout, "\nOK.\n");
	fprintf(stdout, "%u\n", channels[0xfff]);
    }

    getchar();

    munmap((caddr_t) channels, 0x4000);
    close(fd);

    getchar();

    return 0;

}

