#include <stdio.h>
#include <string.h>
#include <sys/mman.h>
#include <sys/ioctl.h>
#include <fcntl.h>

#include "../eggmcs913.h"

int main(int argc, char **argv) {

    int fd, stat;
    unsigned long* channels;
    caddr_t m;

    int i;

    fd = open("/dev/eggmcs913", O_RDWR);

    m = ioctl( fd, EGGMCS913_IOCTL_MMAP, 0x100);
    if (m==-1) {
        perror("mmap");
    }

    channels = (unsigned long*) m;

    fprintf(stdout, "%p\n", channels);
    if (channels) {
        for (i=0; i<5; i++) {
            fprintf(stdout, "%u ", channels[i]);
        }
        fprintf(stdout, "\nOK.\n");
    }

    getchar();

    stat = ioctl( fd, EGGMCS913_IOCTL_MUNMAP, m);
    if (stat !=0) {
	    perror("munmap");
    }
    close(fd);

    getchar();

    return 0;

}

