#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <sys/ioctl.h>

#include "eggmcs913.h"


int main(int argc, char* argv[])
{
    int fd;
    char* dev;
    int stat;

    int mode, mod; 


    if (argc != 3) {
        fprintf(stderr, "%s <device> <mode>\n", argv[0]);
        exit(-1);
    }

    

    dev = argv[1];
    mode = atoi(argv[2]);

    switch(mode) {
        case 0: {mod = O_RDWR; } break;
        case 1: {mod = O_RDONLY; } break;

        default: mod = O_RDWR;

    }

    fprintf(stderr, "mod = %d\n", mod);
    fd = open(dev, mod, 0);

    if (fd < 0) {
        perror("open - failed");
        exit(-1);
    }

    stat = ioctl(fd, EGGMCS913_IOCTL_SET_PASSLENGTH, 150);
    if (stat !=0) {
        perror("ioctl - failed");
        exit(-1);
    }

    getchar();

    return 0;
}
